@import '../components/*.scss';
@import '../components/**/*.scss';

.black-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: 0.5;
  z-index: 99;
  width: 100%;
  height: 100%;
  background-color: #000;
}

.bold-link {
  font-weight: bold;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}

.bold-link:hover {
  text-decoration: none;
  color: #e90000;
}

b {
  font-weight: bold;
}

.image-text-flex > .cmp-res-image-text > .cmp-res-image-text__desktop {
  display: flex;
}
.image-text-flex > .cmp-res-image-text > .cmp-res-image-text__desktop img {
  display: inline;
  margin-right: 5px;
  vertical-align: middle;
}
.image-text-flex > .cmp-res-image-text > .cmp-res-image-text__desktop span {
  vertical-align: middle;
}

.image-text-flex > .cmp-image-text a {
  display: flex;
  align-items: center;
}
.image-text-flex > .cmp-image-text a img {
  display: inline;
  margin-right: 5px;
  vertical-align: middle;
}
.image-text-flex > .cmp-image-text a span {
  vertical-align: middle;
}

.secondary-menu ul {
  list-style: none;
  display: flex;
  justify-content: flex-end;
}

.secondary-menu .secondary-menu-list .secondary-menu-item {
  margin-left: 20px;
}

.secondary-menu ul .secondary-menu-item a {
  color: #000000;
  text-decoration: none;
  font-size: 16px;
  font-weight: 400;
  transition: all 0.3s ease-in-out;
}

.secondary-menu ul .secondary-menu-item a:hover {
  color: #e90000;
  cursor: pointer;
  text-decoration: none;
}

.region-select label {
  display: none;
}

.region-select {
  position: relative;
}

.region-select::before {
  content: '';
  position: absolute;
  z-index: 999;
  width: 16px;
  height: 16px;
  background-image: url('/content/dam/housingdevelopmentfinancecorp/header/icons/globe.svg');
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  top: 0;
  bottom: 0;
  margin: auto;
  left: 13px;
}
.region-select fieldset{
  padding:2px 0px 5px 34px;
}
.region-select select {
  outline: none;
  border: none;
  cursor: pointer;
  font-size: 12px;
  // padding: 2px 0px 2px 30px;
  background-color: transparent;
  font-weight: 600;
  /* width: 110px; */
  color: #000000;
  appearance: none;
}
.region-select::after {
  content: '\f078';
  font-family: 'Font Awesome 6 Free';
  font-weight: 900;
  font-size: 13px;
  position: absolute;
  top: 5px;
  right: -4px;
  pointer-events: none;
}

.region-select select option {
  background-color: #ffffff;
}

.hidden {
  display: none;
}

.bd-highlight-blue {
  color: #3eaada;
  font-weight: 600;
}

.bd-highlight-red {
  color: #e83f3f;
  font-weight: 600;
}

.bd-highlight-orange {
  color: #e67201;
  font-weight: 600;
}

.bd-highlight-green {
  color: #9ec443;
  font-weight: 600;
}

.bd-link {
  color: #e83f3f;
  text-decoration: none;
  transition: all 0.4s ease-in-out;
}

.bd-link:hover {
  color: black;
  cursor: pointer;
}

.blogCommonContainer {
  max-width: 1095px;
  width: 100%;
  margin: 0 auto;
}

.blogBoxContainer{
  margin-bottom: 70px;
}

.blogBoxContainer form{
  margin-bottom: 30px;
}

.blogBoxContainer > div {
  max-width: 1095px;
  width: 100%;
  margin: 0 auto;
  padding: 0 10px;
}

.ymal-blogs {
  background-color: #f7f7f7;
  margin-bottom: 45px;
}

.ymal-blogs .cmp-title__text {
  text-align: center;
  color: #000000;
  text-transform: uppercase;
  padding: 60px 0;
  font-size: 24px;
}

.contact-section-title {
  font-size: 25px;
  margin: 20px 0px;
}

.bd-inp-wrap {
  margin-bottom: 10px;
}

.bd-inp-wrap label {
  font-size: 14px;
}

.bd-inp-wrap label::after {
  content: '';
  background-image: url(/content/dam/housingdevelopmentfinancecorp/demo/asterisk.svg);
  background-repeat: no-repeat;
  display: inline-block;
  line-height: 1;
  height: 7px;
  width: 7px;
  margin-left: 2px;
}

.bd-inp-wrap input, 
.bd-inp-wrap select {
  display: block;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857;
  background-color: #fff;
  border-radius: 4px;
  color: #555555;
  border: 1px solid #ccc;
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  margin-top: 10px;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}

.bd-inp-wrap input:focus, 
.bd-inp-wrap select:focus {
  outline: 0;
  border-color: #66afe9;
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(102 175 233 / 60%);
}

.bd-form-btn button  {
  background: none repeat scroll 0 0 #20639b;
  border: 0 none;
  border-radius: 0;
  box-shadow: 10px 7px 19px #d9d9d9;
  color: #fff;
  padding: 15px 25px;
  text-transform: uppercase;
  position: relative;
  display: inline-block;
  z-index: 1;
  cursor: pointer;
  width: 100%;
  margin: 0 auto;
  margin-top: 20px;
}

.bd-form-btn button::before {
  content: "";
  position: absolute;
  z-index: -1;
  left: 50%;
  right: 50%;
  bottom: 0;
  background: #2098D1;
  height: 4px;
  transition-property: left, right;
  transition-duration: 0.5s;
  transition-timing-function: ease-out;
}

.bd-form-btn button:hover::before {
  left: 0;
  right: 0;
}

.blog-content > div {
  margin: 0px 15px;
}

.arrow-cta-wrap {
  margin-top: 8px;
  display: flex;
  justify-content: center;
  margin-bottom: 40px;
  @media screen and (max-width: 992px){
    margin-top: 0px;
    margin-bottom: 0px;
    // margin-right: 5%;
  }
}
.arrow-cta {
  text-decoration: none;
  font-size: 15px;
  border: none;
  font-weight: 600;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.78;
  letter-spacing: normal;
  color: #e90000;
  text-transform: capitalize;
  position: relative;
}
.arrow-cta::after {
  content: '\f061';
  font-family: 'Font Awesome 6 Free';
  font-weight: 900;
  font-size: 14px;
  margin-left: 5px;
  transition: all 0.5s ease-in-out;
  position: absolute;
  top: 1px;
  transform: translateX(2px);
}

.arrow-cta:hover {
  color: #e90000;
}

.arrow-cta:hover::after {
  transform: translateX(9px);
}

.flex-row-between > .cmp-container {
  display: flex;
  justify-content: space-between;
}

.header-flex > .cmp-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.news-comp > .cmp-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 40px;
  // width: 90%;
  // margin: auto;
}

.homepage-block-title {
  margin: 10px;

  .cmp-title__text {
    font-size: 40px;
    font-weight: 700;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.15;
    letter-spacing: normal;
    text-align: center;
    color: #000;

    @media screen and (max-width: 992px) {
      font-size: 28px;
    }
  }
}

@media screen and (max-width: 992px) {

  .image-text-flex > .cmp-res-image-text > .cmp-res-image-text__desktop {
    display: none;
  }
  .image-text-flex > .cmp-res-image-text > .cmp-res-image-text__mobile {
    display: flex;
  }
  .image-text-flex > .cmp-res-image-text > .cmp-res-image-text__mobile img {
    display: inline;
    margin-right: 10px;
    vertical-align: middle;
  }
  .image-text-flex > .cmp-res-image-text > .cmp-res-image-text__mobile span {
    vertical-align: middle;
  }

  .news-comp > .cmp-container {
    gap: 30px;
    flex-direction: column;
    padding-bottom: 30px;
  }

  .homepage-block-title {
    margin: 10px;

    .cmp-title__text {
  
      font-size: 28px;
    }
  }
  
}